%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname will_paginate
%global pretag pre2
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}.%{pretag}

Summary:       Most awesome pagination solution for Rails
Name:          rubygem-%{gemname}
Version:       3.0
Release:       0.1.%{pretag}%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/mislav/will_paginate
Source0:       http://rubygems.org/gems/%{gemname}-%{version}.%{pretag}.gem

# tests aren't fully working against rails 3 due to change in
# how sql ordering is handled
Patch0:        will_paginate_tests_fix.patch

Requires:      ruby(abi) = 1.8
Requires:      rubygems
Requires:      rubygem(activesupport)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(actionpack)
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(activeresource)
BuildRequires: ruby(abi) = 1.8
BuildRequires: rubygems
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(sqlite3)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(bundler)
BuildArch:     noarch
Provides:      rubygem(%{gemname}) = %{version}

%description
The will_paginate library provides a simple, yet powerful and extensible API
for ActiveRecord pagination and rendering of pagination links in ActionView
templates.

%prep
%setup -q -c -T
%{__mkdir_p} .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force -V --rdoc %{SOURCE0}

pushd .%{geminstdir}
%patch0
popd

%build

%install
mkdir -p %{buildroot}%{gemdir}
mv .%{gemdir}/* %{buildroot}%{gemdir}

%check
pushd %{buildroot}%{geminstdir}
rake spec
rake spec:rails
popd

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/Rakefile
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/CHANGELOG.rdoc
%doc %{geminstdir}/spec
%doc %{gemdir}/doc/%{gemname}-%{version}.%{pretag}
%{gemdir}/cache/%{gemname}-%{version}.%{pretag}.gem
%{gemdir}/specifications/%{gemname}-%{version}.%{pretag}.gemspec


%changelog
* Tue Jul 12 2011 Mo Morsi <mmorsi@redhat.com> - 3.0-0.1.pre2
- Update to 3.0.pre2 for Rails 3 compatability

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.14-1
- Version bump

* Wed May 19 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.12-2
- Fixed documents
- Fixed macros in changelog
- Added activesupport to requires

* Tue May 18 2010 Michal Fojtik <mfojtik@redhat.com> - 2.3.12-1
- Version bump
- Fixed BuildRequires


* Tue Dec 08 2009 Darryl Pierce <dpierce@redhat.com> - 2.3.11-2
- Replaced %%define with %%global.
- Fixed license.
- Replaced the source URL.

* Thu Nov 19 2009 Darryl Pierce <dpierce@redhat.com> - 2.3.11-1
- Initial package
